package com.op.wms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 班次管理对象 base_shifts_t
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public class BaseShiftsT extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 班次主键 */
	private String shiftId;

	/** 班次编码 */
	@Excel(name = "班次编码")
	private String shiftCode;

	/** 班次简称 */
	@Excel(name = "班次简称")
	private String shiftDesc;

	/** 班次通用名称 */
	@Excel(name = "班次通用名称")
	private String shiftDescGlobal;

	/** 班次扩展名称 */
	@Excel(name = "班次扩展名称")
	private String shiftDescExtended;

	/** 开始时间 */
	@Excel(name = "开始时间")
	private String shiftStartTime;

	/** 结束时间 */
	@Excel(name = "结束时间")
	private String shiftEndTime;

	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
	private Date createDate;

	/** 最后更新人 */
	@Excel(name = "最后更新人")
	private String lastUpdateBy;

	/** 最后更新时间 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "最后更新时间", width = 30, dateFormat = "yyyy-MM-dd")
	private Date lastUpdateDate;

	/** 可用标识 */
	@Excel(name = "可用标识")
	private String Active;

	/** 企业主键 */
	@Excel(name = "企业主键")
	private String enterpriseId;

	/** 企业编码 */
	@Excel(name = "企业编码")
	private String enterpriseCode;

	/** 工厂主键 */
	@Excel(name = "工厂主键")
	private String siteId;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String siteCode;

	public void setShiftId(String shiftId) {
		this.shiftId = shiftId;
	}

	public String getShiftId() {
		return shiftId;
	}
	public void setShiftCode(String shiftCode) {
		this.shiftCode = shiftCode;
	}

	public String getShiftCode() {
		return shiftCode;
	}
	public void setShiftDesc(String shiftDesc) {
		this.shiftDesc = shiftDesc;
	}

	public String getShiftDesc() {
		return shiftDesc;
	}
	public void setShiftDescGlobal(String shiftDescGlobal) {
		this.shiftDescGlobal = shiftDescGlobal;
	}

	public String getShiftDescGlobal() {
		return shiftDescGlobal;
	}
	public void setShiftDescExtended(String shiftDescExtended) {
		this.shiftDescExtended = shiftDescExtended;
	}

	public String getShiftDescExtended() {
		return shiftDescExtended;
	}
	public void setShiftStartTime(String shiftStartTime) {
		this.shiftStartTime = shiftStartTime;
	}

	public String getShiftStartTime() {
		return shiftStartTime;
	}
	public void setShiftEndTime(String shiftEndTime) {
		this.shiftEndTime = shiftEndTime;
	}

	public String getShiftEndTime() {
		return shiftEndTime;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Date getCreateDate() {
		return createDate;
	}
	public void setLastUpdateBy(String lastUpdateBy) {
		this.lastUpdateBy = lastUpdateBy;
	}

	public String getLastUpdateBy() {
		return lastUpdateBy;
	}
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}

	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	public void setActive(String Active) {
		this.Active = Active;
	}

	public String getActive() {
		return Active;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseCode(String enterpriseCode) {
		this.enterpriseCode = enterpriseCode;
	}

	public String getEnterpriseCode() {
		return enterpriseCode;
	}
	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getSiteId() {
		return siteId;
	}
	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}

	public String getSiteCode() {
		return siteCode;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("shiftId", getShiftId())
			.append("shiftCode", getShiftCode())
			.append("shiftDesc", getShiftDesc())
			.append("shiftDescGlobal", getShiftDescGlobal())
			.append("shiftDescExtended", getShiftDescExtended())
			.append("shiftStartTime", getShiftStartTime())
			.append("shiftEndTime", getShiftEndTime())
			.append("createBy", getCreateBy())
			.append("createDate", getCreateDate())
			.append("lastUpdateBy", getLastUpdateBy())
			.append("lastUpdateDate", getLastUpdateDate())
			.append("Active", getActive())
			.append("enterpriseId", getEnterpriseId())
			.append("enterpriseCode", getEnterpriseCode())
			.append("siteId", getSiteId())
			.append("siteCode", getSiteCode())
			.toString();
	}
}
